curl --request GET \
--url https://api.fintoc.com/v2/transfers/{id}/receipt \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v2/transfers/{id}/receipt"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v2/transfers/{id}/receipt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fintoc.com/v2/transfers/{id}/receipt",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fintoc.com/v2/transfers/{id}/receipt"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fintoc.com/v2/transfers/{id}/receipt")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fintoc.com/v2/transfers/{id}/receipt")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"object": "transfer_receipt",
"transfer_id": "tr_2daFu0zqqDtZGJaSi2TGI2Mm1nN",
"download_url": "https://storage.googleapis.com/fintoc-transfers/receipts/fintoc_receipt_tr_2daFu0zqqDtZGJaSi2TGI2Mm1nN.pdf?X-Goog-Algorithm=GOOG4-RSA-SHA256&X-Goog-Credential=fintoc-service-account%40example.iam.gserviceaccount.com%2F20260902%2Fauto%2Fstorage%2Fgoog4_request&X-Goog-Date=20260902T170000Z&X-Goog-Expires=3600&X-Goog-SignedHeaders=host&X-Goog-Signature=00000000000000000000000000000000"
}{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid API Key: invalid-*oken"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "Transfer not found: tr_2daFu0zqqDtZGJaSi2TGI2Mm1nN"
}
}{
"error": {
"type": "invalid_request_error",
"code": "invalid_transfer_status",
"message": "Transfer status must be succeeded, partially_succeeded or returned, got: pending"
}
}Get a transfer receipt
Retrieves a signed link to download the PDF receipt of a transfer of your organization, by its ID. The receipt is available once the transfer status is succeeded, partially_succeeded, or returned.
curl --request GET \
--url https://api.fintoc.com/v2/transfers/{id}/receipt \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v2/transfers/{id}/receipt"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v2/transfers/{id}/receipt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fintoc.com/v2/transfers/{id}/receipt",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fintoc.com/v2/transfers/{id}/receipt"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fintoc.com/v2/transfers/{id}/receipt")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fintoc.com/v2/transfers/{id}/receipt")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"object": "transfer_receipt",
"transfer_id": "tr_2daFu0zqqDtZGJaSi2TGI2Mm1nN",
"download_url": "https://storage.googleapis.com/fintoc-transfers/receipts/fintoc_receipt_tr_2daFu0zqqDtZGJaSi2TGI2Mm1nN.pdf?X-Goog-Algorithm=GOOG4-RSA-SHA256&X-Goog-Credential=fintoc-service-account%40example.iam.gserviceaccount.com%2F20260902%2Fauto%2Fstorage%2Fgoog4_request&X-Goog-Date=20260902T170000Z&X-Goog-Expires=3600&X-Goog-SignedHeaders=host&X-Goog-Signature=00000000000000000000000000000000"
}{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid API Key: invalid-*oken"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "Transfer not found: tr_2daFu0zqqDtZGJaSi2TGI2Mm1nN"
}
}{
"error": {
"type": "invalid_request_error",
"code": "invalid_transfer_status",
"message": "Transfer status must be succeeded, partially_succeeded or returned, got: pending"
}
}Path Parameters
Response
The signed URL for the transfer receipt.
The transfer_receipt object holds a link to download the official PDF receipt of a settled transfer. Fintoc generates the receipt once the transfer reaches a succeeded or returned status. Use download_url to fetch the PDF. The URL expires 1 hour after the request. Request the receipt again to obtain a fresh link.
Signed, temporary URL to download the transfer receipt as a PDF. The link expires 1 hour after the request.
"https://storage.googleapis.com/fintoc-transfers/receipts/fintoc_receipt_tr_2daFu0zqqDtZGJaSi2TGI2Mm1nN.pdf?X-Goog-Algorithm=GOOG4-RSA-SHA256&X-Goog-Credential=fintoc-service-account%40example.iam.gserviceaccount.com%2F20260902%2Fauto%2Fstorage%2Fgoog4_request&X-Goog-Date=20260902T170000Z&X-Goog-Expires=3600&X-Goog-SignedHeaders=host&X-Goog-Signature=00000000000000000000000000000000"
Was this page helpful?